Bug 571570 - [abrt] crash in mc-1:4.7.1-1.fc12: Process /usr/bin/mc was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in mc-1:4.7.1-1.fc12: Process /usr/bin/mc was killed by signal 1...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:36a2d99721cbe3d3adb083da6ba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-08 20:59 UTC by Claudiu RAVEICA
Modified: 2013-07-02 23:42 UTC (History)
7 users (show)

Fixed In Version: mc-4.7.1-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-01 01:51:57 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (4.29 KB, text/plain)
2010-03-08 20:59 UTC, Claudiu RAVEICA
no flags Details

Description Claudiu RAVEICA 2010-03-08 20:59:08 UTC
abrt 1.0.7 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: mcedit /usr/src/web/www.comdurav.com/lib/geoip.inc:395
component: mc
executable: /usr/bin/mc
kernel: 2.6.32.9-67.fc12.i686.PAE
package: mc-1:4.7.1-1.fc12
rating: 4
reason: Process /usr/bin/mc was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

Comment 1 Claudiu RAVEICA 2010-03-08 20:59:10 UTC
Created attachment 398623 [details]
File: backtrace

Comment 2 Jindrich Novy 2010-03-10 13:49:13 UTC
Filed upstream:

http://www.midnight-commander.org/ticket/2096

Comment 3 Maciej Żenczykowski 2010-03-11 00:41:40 UTC
open xterm, launch mcedit, press Ctrl+O twice, happens on x86_64 as well.

Comment 5 Fedora Update System 2010-03-18 14:53:31 UTC
mc-4.7.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mc-4.7.1-2.fc11

Comment 6 Fedora Update System 2010-03-18 14:56:26 UTC
mc-4.7.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mc-4.7.1-2.fc12

Comment 7 Fedora Update System 2010-03-18 14:58:24 UTC
mc-4.7.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mc-4.7.1-2.fc13

Comment 8 Fedora Update System 2010-03-23 02:04:35 UTC
mc-4.7.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mc-4.7.1-2.fc12

Comment 9 Fedora Update System 2010-03-23 02:04:56 UTC
mc-4.7.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mc-4.7.1-2.fc11

Comment 10 Fedora Update System 2010-03-23 02:21:09 UTC
mc-4.7.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mc-4.7.1-2.fc13

Comment 11 Maciej Żenczykowski 2010-03-23 03:07:38 UTC
The yum --enablerepo=updates-testing update mc didn't work for me... Maybe it's not synced out yet... (if so, why does it not update the bug, until after it's finished syncing out...)

However, I fetched the fc12 package from koji, and upgraded to it, and the problem does appear to have vanished.  mcedit + double Ctrl+O no longer crashes.

Comment 12 Christoph Wickert 2010-03-24 22:57:23 UTC

How to reproduce
-----



Comment
-----
Pressed CTRL+o to minimize the mcedit. Pressed CTRL+o again to get into the editor again and it crashed.

Comment 13 Jindrich Novy 2010-03-25 05:05:45 UTC
Please give a positive karma to the updates so that they get pushed to stable.

Comment 14 Maciej Żenczykowski 2010-03-25 07:57:41 UTC
Uhm, give karma?

Comment 15 Fedora Update System 2010-04-01 01:51:48 UTC
mc-4.7.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-04-03 04:38:38 UTC
mc-4.7.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-04-09 03:49:34 UTC
mc-4.7.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.